Bug 105393 - wvdialconf hangs while scanning ports
wvdialconf hangs while scanning ports
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 13:06 EDT by jmccann
Modified: 2015-01-14 18:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2003-09-25 13:06:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
wvdialconf hangs essentially forever while scanning ports.

Version-Release number of selected component (if applicable):
wvdial-1.53-9

How reproducible:
Always

Steps to Reproduce:
1. sudo wvdialconf /etc/wvdial.conf


Actual Results:  Scanning your serial ports for a modem.
 
ttyS0<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 4800 baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 4800 baud, next try: 9600 baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 19200 baud
ttyS0<*1>: ATQ0 V1 E1 -- failed with 19200 baud, next try: 115200 baud
ttyS0<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
ttyS1<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 4800 baud
ttyS1<*1>: ATQ0 V1 E1 -- failed with 4800 baud, next try: 9600 baud
ttyS1<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 19200 baud
ttyS1<*1>: ATQ0 V1 E1 -- failed with 19200 baud, next try: 115200 baud
ttyS1<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
Port Scan<*1>: S2   S3   S4   S5   S6   S7   S8   S9
Port Scan<*1>: S10  S11  S12  S13  S14  S15  S16  S17
Port Scan<*1>: S18  S19  S20  S21  S22  S23  S24  S25
Port Scan<*1>: S26  S27  S28  S29  S30  S31  SA0  SA1
Port Scan<*1>: SA2  SC0  SC1  SC2  SC3  SI0  SI1  SI2
Port Scan<*1>: SI3  SI4  SI5  SI6  SI7  SI8  SI9  SI10
Port Scan<*1>: SI11 SI12 SI13 SI14 SI15 SR0  SR1  SR2
Port Scan<*1>: SR3  SR4  SR5  SR6  SR7  SR8  SR9  SR10
Port Scan<*1>: SR11 SR12 SR13 SR14 SR15 SR16 SR17 SR18
Port Scan<*1>: SR19 SR20 SR21 SR22 SR23 SR24 SR25 SR26
Port Scan<*1>: SR27 SR28 SR29 SR30 SR31 SR256 SR257 SR258
Port Scan<*1>: SR259 SR260 SR261 SR262 SR263 SR264 SR265 SR266
Port Scan<*1>: SR267 SR268 SR269 SR270 SR271 SR272 SR273 SR274
Port Scan<*1>: SR275 SR276 SR277 SR278 SR279 SR280 SR281 SR282
Port Scan<*1>: SR283 SR284 SR285 SR286 SR287 USB0 USB1 USB2
Port Scan<*1>: USB3 USB4 USB5 USB6 USB7 USB8 USB9 USB10
Port Scan<*1>: USB11 USB12 USB13 USB14 USB15^C



Expected Results:  Should finish.

Additional info:
Comment 1 Harald Hoyer 2004-09-21 10:48:58 EDT
The last lines of:
$ sudo strace -f wvdialconf /etc/wvdial.conf

would help me to debug this.
Comment 2 Harald Hoyer 2005-09-16 09:56:16 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.